%global commit0 86da3be1aee658aec55f219a5927bf723362e779
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

%global varnishver 4.0.4
%global vbranch .v4.0
%global vabi 1.2
%global vabistrict 386f712

Name: vmod-header
Summary: Header VMOD for Varnish
Version: 0.31
Release: 1
License: BSD
Group: System Environment/Daemons
URL: https://github.com/varnish/lib%{name}
Source0: https://download.varnish-software.com/varnish-modules/varnish4.0/lib%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: varnish = %varnishver
Requires: varnishabi-%vabi
Requires: varnishabi-strict-%vabistrict

BuildRequires: make
BuildRequires: gcc
BuildRequires: pkgconfig
BuildRequires: varnish = %varnishver
BuildRequires: varnish-libs-devel = %varnishver

# Add these when building from a git checkout
#BuildRequires: autoconf
#BuildRequires: automake
#BuildRequires: libtool
#BuildRequires: python-docutils


%description
header VMOD


%prep
%setup -q -n lib%{name}-%{version}

%build
# Add this when building from a git checkout (will not work on epel5)
#./autogen.sh  

# Use prebuilt manpage. Remove this when building from a git checkout
export RST2MAN=/bin/true

%configure \
  --docdir=%{?_pkgdocdir}%{!?_pkgdocdir:%{_docdir}/%{name}-%{version}}

# We have to remove rpath - not allowed in Fedora
# (This problem only visible on 64 bit arches)
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g;
        s|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}


%check
make check


%install
# Clean buildroot on older el variants
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# None of these for fedora/epel
find %{buildroot}/%{_libdir}/ -name '*.la' -exec rm -f {} ';'
find %{buildroot}/%{_libdir}/ -name  '*.a' -exec rm -f {} ';'

#mv %{buildroot}%{?_pkgdocdir}%{!?_pkgdocdir:%{_docdir}/%{name}-%{version}} _doc

%clean
[ %{buildroot} != "/" ] && rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_libdir}/varnish*/vmods/
%if 0%{?el5}
%doc LICENSE
%else
%license LICENSE
%endif
%doc README.rst
%{_mandir}/man3/*.3*


%changelog
* Fri Dec 16 2016 Ingvar Hagelund <ingvar@redpill-linpro.com> - 0.31-1
- Upstream release
- Rebuilt against varnish-4.0

* Wed Feb 10 2016 Ingvar Hagelund <ingvar@redpill-linpro.com> - 0.31-0.2.20160210git86da3be.v4.1
- Rebuilt against varnish-4.1.1

* Mon Nov 02 2015 Ingvar Hagelund <ingvar@redpill-linpro.com> - 0.30-0.2.git.1649913.v4.1
- Wrapped for copr/fedora

